Support for Opus audio format
Closed, ResolvedPublic

Description

“Opus is an open and royalty-free lossy audio compression format.” [1] Since 2012-09, it is an IETF standard.

Support in MediaWiki would be awesome.

[1] https://en.wikipedia.org/wiki/Opus_%28audio_format%29


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz40193.
JeanFred created this task.Via LegacySep 12 2012, 8:50 PM
brion added a comment.Via ConduitSep 12 2012, 9:25 PM

Couple of things to do here probably:

  • add the .opus extension & "audio/ogg; codecs=opus" mime type to our lists
  • make sure that .opus files that get uploaded keep their .opus extensions and don't get renamed as .ogg or something
  • support in TimedMediaHandler to play them in supporting browsers (how to check?)
  • support in TimedMediaHandler to transcode .opus to other format(s) for non-supporting browsers

And of course.... deploy TimedMediaHandler (bug 27699).

bzimport added a comment.Via ConduitSep 12 2012, 9:43 PM

mdale wrote:

As of firefox 15:

var dummyvid = document.createElement( "video" );
dummyvid.canPlayType( 'audio/ogg;codecs=opus' );
"probably"

Yes, once we get 27699 out of the way, we can enable opus, mp3 and h.264 transcodes and playback relatively easily, since the mechanics for source stream switching and client feature support detection are already supported for the existing set of codecs that we support.

JeanFred added a comment.Via ConduitDec 14 2012, 3:23 PM

Since TMH is deployed, is Opus transcode and playback possible?

McZusatz added a comment.Via ConduitJan 20 2013, 12:35 PM

Opus can now be forced into the OGG container, but the Wiki servers have problems detecting the codec. Also playback is limited in some browsers (chrome at least).

https://commons.wikimedia.org/wiki/File:Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg

brion added a comment.Via ConduitNov 5 2014, 12:58 AM

(In reply to Marco from comment #4)

Opus can now be forced into the OGG container, but the Wiki servers have
problems detecting the codec. Also playback is limited in some browsers
(chrome at least).

https://commons.wikimedia.org/wiki/File:
Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg

Note that Chrome as of version 38 plays this opus-in-ogg file natively just fine. Yay upgrades over time!

I also have Opus support in ogv.js, so once that lands we should have working playback in Safari 6.1+ and IE 10+ as well, with or without Vorbis transcodes.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:20 PM
Rillke added a subscriber: Rillke.Via WebJan 2 2015, 9:50 PM
KuboF added a subscriber: KuboF.Via WebJun 25 2015, 7:08 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptVia HeraldJun 25 2015, 7:08 PM
Wilfredor added a subscriber: Wilfredor.Via WebJul 6 2015, 2:10 PM

You can upload the file here
https://commonsarchive.wmflabs.org

And add the template:
{{Commons Archive|My_raw_file.opus}}

in your media in commons, look this example with NEF file:
https://commons.wikimedia.org/w/index.php?title=File:Agraulis_vanillae_at_Isla_Margarita.jpg&action=edit

brion added a subscriber: brion.Via WebJul 6 2015, 3:56 PM
McZusatz added a comment.Via WebJul 6 2015, 4:30 PM

You can upload the file here ...

Which completely mitigates the advantages of opus. commonsarchive should only be used to archive raw data like hdr for images (or zip archives are allowed as well,I think)
But you can already upload raw wave files directly to commons so commonsarchive is not useful for audio files.

Jdforrester-WMF moved this task to Backlog on the Multimedia workboard.Via WebSep 4 2015, 6:14 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptVia HeraldSep 4 2015, 6:14 PM
TheDJ added a project: TimedMediaHandler.Via WebOct 25 2015, 2:29 PM
TheDJ set Security to None.
TheDJ moved this task to Format support on the TimedMediaHandler workboard.
brion added a comment.Via WebOct 25 2015, 5:44 PM

Ok, so these days everything works with Opus-in-Ogg uploaded as .ogg or .oga extension, but we don't accept the .opus extension. Should be an easy fix.

gerritbot added a subscriber: gerritbot.Via ConduitOct 25 2015, 6:27 PM

Change 248703 had a related patch set uploaded (by TheDJ):
Add file extension mapping for opus

https://gerrit.wikimedia.org/r/248703

gerritbot added a project: Patch-For-Review.Via ConduitOct 25 2015, 6:27 PM

Change 248704 had a related patch set uploaded (by TheDJ):
Add opus to accepted file extensions

https://gerrit.wikimedia.org/r/248704

TheDJ moved this task to Doing on the TimedMediaHandler workboard.Via WebOct 25 2015, 7:38 PM
KuboF awarded a token.Via WebOct 26 2015, 11:35 AM
TheDJ claimed this task.Via WebOct 27 2015, 8:34 AM
zhuyifei1999 added a subscriber: zhuyifei1999.Via WebNov 1 2015, 9:54 AM
Paladox added a subscriber: Paladox.Via WebNov 12 2015, 8:54 PM
Restricted Application added a project: Commons. · View Herald TranscriptVia HeraldNov 12 2015, 8:54 PM
gerritbot added a comment.Via ConduitNov 12 2015, 8:58 PM

Change 248703 merged by Brion VIBBER:
Add file extension mapping for opus

https://gerrit.wikimedia.org/r/248703

gerritbot added a comment.Via ConduitNov 12 2015, 9:18 PM

Change 248704 merged by jenkins-bot:
Add opus to accepted file extensions Depends on: I7c3cba909

https://gerrit.wikimedia.org/r/248704

brion closed this task as "Resolved".Via WebNov 12 2015, 9:20 PM

Ok this is merged. :D Should go out next week or the week after (I'm a little vague on deployment schedules this month, there's US Thanksgiving holiday later in the month)

JeanFred awarded a token.Via WebNov 12 2015, 9:31 PM
TheDJ moved this task to Done on the TimedMediaHandler workboard.Via WebNov 13 2015, 12:07 PM
KuboF removed a subscriber: KuboF.Via WebSat, Feb 6, 5:05 PM

Add Comment